#!/bin/bash
mypath=${0%/*}
export YEWHOME=$mypath
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$YEWHOME/lib
export HOME=$YEWHOME/home


proc_down() {
  kill -9 $(pidof apmd)
  cp -f /usr/bin/apmd $mypath/apmd
  umount /usr/bin/apmd
  mount --bind $mypath/apmds/$preset /usr/bin/apmd
  start-stop-daemon -S -b -x /usr/bin/apmd
}

proc_up() {
  kill -9 $(pidof apmd)
  umount /usr/bin/apmd
  mount --bind $mypath/apmd /usr/bin/apmd
  start-stop-daemon -S -b -x /usr/bin/apmd
}

cd $mypath
. ./apmd.preset
proc_down
./xmms&
./lilac
proc_up
